## termcap-compat 1.2.3

=== Makefile ===
#
# Makefile for libtermcap. It is intended for Linux/ELF only.
#

LIBNAME=termcap

VERSION=2.0.8
SONAME_VERSION=2

CC=gcc
CFLAGS=-O -I. -g
CFLAGS=-O -I.

AR=ar
ARFLAGS=ucvr

MAKEINFO=makeinfo

OWNER=bin.bin

STATIC_LIB=lib$(LIBNAME).a
SHARED_LIB=lib$(LIBNAME).so.$(VERSION)
SONAME_SHARED_LIB=lib$(LIBNAME).so.$(SONAME_VERSION)

TARGETS=$(STATIC_LIB) $(SHARED_LIB)

# Where is include and dir located?
prefix=/

.c.o:
	$(CC) $(CFLAGS) -c $<
	$(CC) $(CFLAGS) -fPIC -c $< -o pic/$@

SRCS = termcap.c tparam.c version.c
OBJS= $(SRCS:.c=.o)

all lib: pic .depend $(TARGETS) info

$(STATIC_LIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)

$(SHARED_LIB): $(OBJS)
	cd pic; \
	$(CC) -lc -shared -o ../$@ -Wl,-soname,$(SONAME_SHARED_LIB) $(OBJS)

pic:
	-if [ ! -d pic ]; then mkdir pic; fi

install: lib install-dirs install-data
	-if [ -f $(prefix)/lib/$(SHARED_LIB) ]; then \
	   mkdir -p $(prefix)/lib/backup; \
	   mv $(prefix)/lib/$(SHARED_LIB) \
		$(prefix)/lib/backup/$(SHARED_LIB).$$$$; \
	fi
	cp $(SHARED_LIB) $(prefix)/lib
	chown $(OWNER) $(prefix)/lib/$(SHARED_LIB)
	if [ -x /sbin/ldconfig -o -x /etc/ldconfig ]; then \
	  ldconfig; \
	fi
	-if [ $(prefix) = "/" ]; then \
	  cp -f $(STATIC_LIB) /usr/lib; \
	  rm -f /lib/libtermcap.so; \
	  rm -f /usr/lib/libtermcap.so; \
	  ln -s /lib/$(SHARED_LIB) /usr/lib/libtermcap.so; \
	  cp -f termcap.h /usr/include; \
	  cp termcap.info* /usr/info; \
	  chown $(OWNER) \
		/usr/info/termcap.info* \
		/usr/lib/$(STATIC_LIB) \
		/usr/lib/libtermcap.so \
		/usr/include/termcap.h; \
	else \
	  cp -f $(STATIC_LIB) $(prefix)/lib; \
	  rm -f $(prefix)/lib/libtermcap.so; \
	  ln -s $(prefix)/lib/$(SHARED_LIB) \
		$(prefix)/lib/libtermcap.so; \
	  cp -f termcap.h $(prefix)/include; \
	  chown $(OWNER) \
		$(prefix)/lib/$(STATIC_LIB) \
		$(prefix)/lib/libtermcap.so \
		$(prefix)/include/termcap.h; \
	fi

install-dirs:
	-if [ $(prefix) = "/" ]; then \
	  mkdir -p /usr/lib /usr/info /usr/include /etc /lib; \
	fi

install-data:
	-if [ $(prefix) = "/" ]; then \
	  cp termcap.src /etc/termcap; \
	  chown $(OWNER) /etc/termcap; \
	fi

info: termcap.info

termcap.info: termcap.texi
	$(MAKEINFO) termcap.texi --output=$@

clean:
	-rm -fr core a.out *.o pic $(TARGETS)

distclean: clean
	-rm -f .depend

depend: .depend

.depend: $(SRCS) Makefile
	$(CC) $(CFLAGS) -M $(SRCS) | \
		sed -e 's,^[ 	]*\(.*\.o\)[ 	]*:,\1 pic/\1:,' > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## termcap-compat 1.1.0

=== debian/changelog ===
termcap-compat (1.1.0) frozen; urgency=low

  * Made package architecture-independent. (3721)
  * Converted to new packaging standards.
  * Upgraded /etc/termcap to version 9.13.15
  * Changed version numbering scheme slightly (no "-[1-9]" anymore)
    to make the source package work better with the new dpkg source format.
  * Closes all outstanding termcap bugs (836, 1803)
  * Modified description to make it clear that termcap-compat isn't meant
    to be used to compile program. Says to use ncurses' termcap emulation
    routines for programs that need termcap. (Using them is as simple as
    replacing -ltermcap by -lncurses in the makefile.)

 -- Christian Hudon <chrish@debian.org>  Mon, 25 Nov 1996 23:01:27 -0500

termcap-compat (1.0.0-2) unstable; urgency=low
  
  * Cleared up copyright.
  * Changed maintainer address.

 -- Christian Hudon <chrish@debian.org>  Wed, 12 Jun 1996 21:08:24 -0400

termcap-compat (1.0.0-1) unstable; urgency=low

  * Initial release.
  
 -- Christian Hudon <chrish@debian.org>  Fri, 10 May 1996 22:01:29 -0500
  
Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: termcap-compat
Maintainer: Christian Hudon <chrish@debian.org>
Standards-Version: 2.1.1.0
Section: misc
Priority: extra

Package: termcap-compat
Architecture: any
Replaces: libtermcap
Conflicts: libtermcap
Description: Compatibility package for termcap-based programs.
 The termcap-compat package provides the libtermcap.so.2 and /etc/termcap
 files which are required to run non-Debian, binary-only termcap-based
 programs. 
 .
 You do not need to install this package to run Debian-packaged programs
 since Debian GNU/Linux uses terminfo and not termcap. You need this
 package if a program fails to run with the following error message
  "...: can't load library 'libtermcap.so.2'"
 or complains about a missing /etc/termcap file.
 .
 The termcap-compat package isn't meant to be used to compile programs
 therefore it doesn't provide all the necesary files for compilation. If you 
 want to compile a program that claims to need termcap, why not try 
 ncurses's termcap emulation instead? It's as simple as linking with ncurses 
 instead of libtermcap (i.e. replace the '-ltermcap' with '-lncurses' in 
 the makefile). Ncurses' termcap emulation routines translate terminfo entries 
 to termcap entries on the fly, so you don't even need an /etc/termcap file.
 .
 This package provides:
  libtermcap.so shared library, version 2.0.8
  termcap database, version 9.13.15

=== debian/rules ===
#!/usr/bin/make -f
#

build:
	$(checkdir)
	$(MAKE) CFLAGS="-O2 -I."
	touch build

clean:
	$(checkdir)
	-rm -rf build debian/files debian/tmp debian/*~
	-rm -f .depend .emacs.desktop
	-$(MAKE) clean

binary: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
# Make the directory tree.
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/lib
	install -d debian/tmp/etc
	install -d debian/tmp/usr/doc/termcap-compat
# Copy copyright file and executables to their proper places.
	install -m 644 debian/copyright debian/tmp/usr/doc/termcap-compat
	install -s -m 755 libtermcap.so.2.0.8 debian/tmp/lib
	install -m 644 termcap.src debian/tmp/etc/termcap
	install -m 644 ChangeLog debian/tmp/usr/doc/termcap-compat
	install -m 644 debian/changelog \
		debian/tmp/usr/doc/termcap-compat/changelog.Debian
# Compress documentation...
	test -f debian/tmp/usr/doc/termcap-compat/changelog.Debian.gz || \
		gzip -9 debian/tmp/usr/doc/termcap-compat/changelog.Debian
# Make the debian control area
	install -m 755 debian/{preinst,postinst,postrm} debian/tmp/DEBIAN
	install -m 644 debian/conffiles debian/tmp/DEBIAN
# Fix permissions...
	chmod -R u=rwX,go=rX debian/tmp
	chown -R root.root debian/tmp
# And finally, build the Debian package!
	dpkg-gencontrol
	dpkg --build debian/tmp ..


define checkdir
	test -f tparam.c -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test "`whoami`" = root

.PHONY: binary binary-arch binary-indep clean checkroot

## termcap-compat 1.1.1.1

=== debian/changelog ===
termcap-compat (1.1.1.1) frozen unstable; urgency=high

  * Non-maintainer release.
  * Apply patch to fix security hole (Bug:#24200).

 -- Joel Klecker <jk@espy.org>  Wed, 15 July 1998 18:22:35 -0700

termcap-compat (1.1.1) unstable; urgency=low

  * Upgraded /etc/termcap to version 9.3.25
  * Added binary-indep and binary-arch targets to debian/rules. (Fixes #12743)
  * Linked shared library against libc (Fixes #16568)
  * Shared library stripped with --strip-unneeded.
  * Removed ldconfig calls in postinst and postrm.
  * Compiled library with -D_REENTRANT.
  * Added libtermcap.so.2 symlink
  * Renamed upstream changelog to 'changelog' (instead of 'ChangeLog').
  * ... and generally updated package to comply with policy version 2.4.0.0

 -- Christian Hudon <chrish@debian.org>  Fri, 13 Feb 1998 21:32:43 -0500

## termcap-compat 1.1.1.1.0slink1

=== debian/changelog ===
termcap-compat (1.1.1.1.0slink1) stable; urgency=high

  * Non-maintainer by Security Team
  * Applied patch to fix buffer overflow.  Patch by Kevin Vajk
    <kvajk@ricochet.net> (fixes: Bug#43141)
  * Renamed version for slink

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 18 Aug 1999 00:25:59 +0200

## termcap-compat 1.1.1.1.1

=== debian/control ===
Source: termcap-compat
Maintainer: Christian Hudon <chrish@debian.org>
Standards-Version: 2.4.0.0
Section: misc
Priority: extra

Package: termcap-compat
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libtermcap
Conflicts: libtermcap
Description: Compatibility package for old termcap-based programs.
 The termcap-compat package provides the libtermcap.so.2 and /etc/termcap
 files which are required to run non-Debian, binary-only termcap-based
 programs. Since libc6-based programs are hopefully "modern" enough to be 
 linked with ncurses (or slang), this package only provides a libc5-based 
 libtermcap library.
 .
 You do not need to install this package to run Debian-packaged programs
 since Debian GNU/Linux uses terminfo and not termcap. You need this
 package if a program (that you cannot recompile) fails to run with 
 the error message "...: can't load library 'libtermcap.so.2'" or complains 
 about a missing /etc/termcap file.
 .
 The termcap-compat package isn't meant to be used to compile programs
 therefore it doesn't provide all the necesary files for compilation. If you 
 want to compile a program that claims to need termcap, why not try 
 ncurses's termcap emulation instead? It's as simple as linking with ncurses 
 instead of libtermcap (i.e. replace the '-ltermcap' with '-lncurses' in 
 the makefile). Ncurses' termcap emulation routines translate terminfo entries 
 to termcap entries on the fly, so you don't even need an /etc/termcap file.
 .
 This package provides:
  libtermcap.so shared library, version 2.0.8
  termcap database, version 9.13.25

=== debian/rules ===
#!/usr/bin/make -f
#

# Must now be compiled with altgcc

build:
	$(checkdir)
	PATH=/usr/i486-linuxlibc1/bin:$$PATH \
		$(MAKE) CFLAGS="-O2 -D_REENTRANT -I."
	touch build

clean:
	$(checkdir)
	-rm -rf build debian/files debian/tmp debian/*~
	-rm -f .depend .emacs.desktop
	-$(MAKE) clean

binary: binary-indep binary-arch

binary-indep: checkroot build

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/substvars
# Make the directory tree.
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/lib
	install -d debian/tmp/etc
	install -d debian/tmp/usr/doc/termcap-compat
# Copy copyright file and executables to their proper places.
	install -m 644 debian/copyright debian/tmp/usr/doc/termcap-compat
	install -m 644 libtermcap.so.2.0.8 debian/tmp/lib
	strip --strip-unneeded debian/tmp/lib/libtermcap.so.2.0.8
	(cd debian/tmp/lib && ln -s libtermcap.so.2.0.8 libtermcap.so.2)
	install -m 644 termtypes.tc debian/tmp/etc/termcap
	install -m 644 ChangeLog debian/tmp/usr/doc/termcap-compat/changelog
	install -m 644 debian/changelog \
		debian/tmp/usr/doc/termcap-compat/changelog.Debian
# Compress documentation...
	test -f debian/tmp/usr/doc/termcap-compat/changelog.Debian.gz || \
		gzip -9 debian/tmp/usr/doc/termcap-compat/changelog.Debian
	test -f debian/tmp/usr/doc/termcap-compat/changelog.gz || \
		gzip -9 debian/tmp/usr/doc/termcap-compat/changelog
# Make the debian control area
	install -m 755 debian/{preinst,postrm} debian/tmp/DEBIAN
	install -m 644 debian/conffiles debian/tmp/DEBIAN
# Fix permissions...
	chmod -R u=rwX,go=rX debian/tmp
	chown -R root.root debian/tmp
# And finally, build the Debian package!
	dpkg-shlibdeps debian/tmp/lib/libtermcap.so.2.0.8
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

define checkdir
	test -f tparam.c -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test "`whoami`" = root

.PHONY: binary binary-arch binary-indep clean checkroot

## termcap-compat 1.1.2

=== debian/changelog ===
termcap-compat (1.1.2) stable unstable; urgency=HIGH

  * Corrected typo in description. (Closes: #18972)
  * Fixed two buffer overflows. (Closes: #24200, #43141)
  * Removed hardcoded reference to i486. (Closes: #24785)
  * Added check to debian/rules to make sure that package 
    is compiled with altgcc. (Closes: #45363)
  * Moved from section misc to oldlibs.

 -- Christian Hudon <chrish@debian.org>  Tue, 26 Oct 1999 23:02:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: termcap-compat
 Maintainer: Christian Hudon <chrish@debian.org>
 Standards-Version: 2.4.0.0
-Section: misc
+Section: oldlibs
 Priority: extra
 
 Package: termcap-compat
@@ -23,7 +23,7 @@
  about a missing /etc/termcap file.
  .
  The termcap-compat package isn't meant to be used to compile programs
- therefore it doesn't provide all the necesary files for compilation. If you 
+ therefore it doesn't provide all the necessary files for compilation. If you 
  want to compile a program that claims to need termcap, why not try 
  ncurses's termcap emulation instead? It's as simple as linking with ncurses 
  instead of libtermcap (i.e. replace the '-ltermcap' with '-lncurses' in

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,21 @@
 
 # Must now be compiled with altgcc
 
+ARCH=$(shell dpkg --print-gnu-build-architecture)
+ifeq ($(ARCH),i386)
+ARCH=i486
+endif
+
 build:
 	$(checkdir)
-	PATH=/usr/i486-linuxlibc1/bin:$$PATH \
+	test -x /usr/$(ARCH)-linuxlibc1/bin/gcc || (echo This package must be compiled with altgcc;exit 1)
+	PATH=/usr/$(ARCH)-linuxlibc1/bin:$$PATH \
 		$(MAKE) CFLAGS="-O2 -D_REENTRANT -I."
 	touch build
 
 clean:
 	$(checkdir)
-	-rm -rf build debian/files debian/tmp debian/*~
+	-rm -rf build debian/files debian/tmp debian/*~ debian/substvars
 	-rm -f .depend .emacs.desktop
 	-$(MAKE) clean
 
@@ -49,7 +55,7 @@
 	chown -R root.root debian/tmp
 # And finally, build the Debian package!
 	dpkg-shlibdeps debian/tmp/lib/libtermcap.so.2.0.8
-	dpkg-gencontrol -isp
+	dpkg-gencontrol
 	dpkg --build debian/tmp ..
 
 define checkdir

## termcap-compat 1.2.3

=== debian/changelog ===
termcap-compat (1.2.3) frozen unstable; urgency=low

  * Updated xterm entries to match those used by xfree86 3.3.6 Debian package.
    (Closes: #55841)

 -- Christian Hudon <chrish@debian.org>  Thu,  3 Feb 2000 22:17:16 -0500

termcap-compat (1.2.2) unstable; urgency=low

  * Updated to standards version 3.1.1.1

 -- Christian Hudon <chrish@debian.org>  Fri, 31 Dec 1999 14:15:22 -0500

termcap-compat (1.2.1) unstable; urgency=low

  * Now compiled only for i386. Email me if termcap-compat is needed for
    some other architecture. Closes: #48747

 -- Christian Hudon <chrish@debian.org>  Fri, 31 Dec 1999 12:13:11 -0500

termcap-compat (1.2) unstable; urgency=low

  * Updated termcap file to most recent upstream version.
  * Added xterm-debian terminal type. (Closes: #38400, #39553, #46276)
  * Added call to ldconfig in postinst as required by policy
  * Made package compliant with policy 3.0 and the FHS.

 -- Christian Hudon <chrish@debian.org>  Sat, 30 Oct 1999 01:48:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: termcap-compat
+Build-Depends: altgcc, libc5-altdev
 Maintainer: Christian Hudon <chrish@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.1.1.1
 Section: oldlibs
 Priority: extra
 
 Package: termcap-compat
-Architecture: any
+Architecture: i386
 Depends: ${shlibs:Depends}
 Replaces: libtermcap
 Conflicts: libtermcap
@@ -32,4 +33,4 @@
  .
  This package provides:
   libtermcap.so shared library, version 2.0.8
-  termcap database, version 9.13.25
+  termcap database, version 10.2.7

=== debian/rules ===
--- 
+++ 
@@ -32,30 +32,30 @@
 	install -d debian/tmp debian/tmp/DEBIAN
 	install -d debian/tmp/lib
 	install -d debian/tmp/etc
-	install -d debian/tmp/usr/doc/termcap-compat
+	install -d debian/tmp/usr/share/doc/termcap-compat
 # Copy copyright file and executables to their proper places.
-	install -m 644 debian/copyright debian/tmp/usr/doc/termcap-compat
+	install -m 644 debian/copyright debian/tmp/usr/share/doc/termcap-compat
 	install -m 644 libtermcap.so.2.0.8 debian/tmp/lib
 	strip --strip-unneeded debian/tmp/lib/libtermcap.so.2.0.8
 	(cd debian/tmp/lib && ln -s libtermcap.so.2.0.8 libtermcap.so.2)
 	install -m 644 termtypes.tc debian/tmp/etc/termcap
-	install -m 644 ChangeLog debian/tmp/usr/doc/termcap-compat/changelog
+	install -m 644 ChangeLog debian/tmp/usr/share/doc/termcap-compat/changelog
 	install -m 644 debian/changelog \
-		debian/tmp/usr/doc/termcap-compat/changelog.Debian
+		debian/tmp/usr/share/doc/termcap-compat/changelog.Debian
 # Compress documentation...
-	test -f debian/tmp/usr/doc/termcap-compat/changelog.Debian.gz || \
-		gzip -9 debian/tmp/usr/doc/termcap-compat/changelog.Debian
-	test -f debian/tmp/usr/doc/termcap-compat/changelog.gz || \
-		gzip -9 debian/tmp/usr/doc/termcap-compat/changelog
+	test -f debian/tmp/usr/share/doc/termcap-compat/changelog.Debian.gz || \
+		gzip -9 debian/tmp/usr/share/doc/termcap-compat/changelog.Debian
+	test -f debian/tmp/usr/share/doc/termcap-compat/changelog.gz || \
+		gzip -9 debian/tmp/usr/share/doc/termcap-compat/changelog
 # Make the debian control area
-	install -m 755 debian/{preinst,postrm} debian/tmp/DEBIAN
+	install -m 755 debian/{pre,post}{inst,rm} debian/tmp/DEBIAN
 	install -m 644 debian/conffiles debian/tmp/DEBIAN
 # Fix permissions...
 	chmod -R u=rwX,go=rX debian/tmp
 	chown -R root.root debian/tmp
 # And finally, build the Debian package!
 	dpkg-shlibdeps debian/tmp/lib/libtermcap.so.2.0.8
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..
 
 define checkdir
